%define rname w3
%define e21_version 21.4
# cvs -z3 -d:pserver:anonymous@cvs.savannah.gnu.org:/sources/w3 export -D 20060422 w3
%define fversion 20060422
%define epoch 2

Summary: Web browser for GNU Emacs
Name: emacs-%rname
Version: 4.0
Release: %mkrel 1.%{fversion}.1
Source0: w3-%{fversion}.tar.bz2
Source1: %{name}-autostart.el
License: GPL
Epoch:	%{epoch}
Group: Networking/WWW
BuildRoot: %_tmppath/%{name}-buildroot
Requires: emacs >= %{e21_version}
BuildRequires: emacs-bin >= %{e21_version}
BuildRequires: emacs-url-el
Requires: emacs-url
Url: http://www.cs.indiana.edu/elisp/w3/
Conflicts: xemacs
BuildArch: noarch

%description
A full-featured web browser, written entirely in Emacs-Lisp, that
supports all the bells and whistles in use on the web today: frames,
tables, stylesheets, and much more.

Supports asynchronous connections, allowing users to browse numerous
sites concurrently, while others continue to download.  Tight
integration with the standard Emacs mail and news reading packages
allows easy sharing of information.  Since Emacs is first and foremost
the most powerful editor around, the information you uncover on the
web can immediately be put to work.

Yet another reason to never leave Emacs.

%package el
Summary: Web Browser sources for GNU Emacs
Group: Editors
Requires: %name = %{epoch}:%version-%release
Url: http://www.cs.indiana.edu/elisp/w3/

%description el
A full-featured web browser, written entirely in Emacs-Lisp, that
supports all the bells and whistles in use on the web today: frames,
tables, stylesheets, and much more.

Supports asynchronous connections, allowing users to browse numerous
sites concurrently, while others continue to download.  Tight
integration with the standard Emacs mail and news reading packages
allows easy sharing of information.  Since Emacs is first and foremost
the most powerful editor around, the information you uncover on the
web can immediately be put to work.

Yet another reason to never leave Emacs.

This is the elisp source.

%prep
%setup -q -n %rname-%fversion

%build
./configure								\
	--with-emacs=emacs						\
	--with-lispdir=/usr/share/emacs/site-lisp/w3	\
	--with-custom=/usr/share/emacs/%{e21_version}			\
	--with-gnus=/usr/share/emacs/%{e21_version}/lisp/gnus		\
	--with-url=/usr/share/emacs/site-lisp/url \
	--libdir=%_libdir

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/w3/
install -m644 etc/default.css $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/w3/
install -m644 lisp/*.el* $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/w3/
mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d/
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/emacs/site-start.d/%{rname}.el

make -C texi install infodir=%{buildroot}/%{_infodir}
rm -f %{buildroot}/%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{rname}.info

%_install_info %{rname}-faq.info


%postun
%_remove_install_info %{rname}

%_remove_install_info %{rname}-faq

%files
%defattr(-,root,root)
%doc README
%config(noreplace) /etc/emacs/site-start.d/*el
%{_infodir}/*
%dir %attr(0755, root, root) /usr/share/emacs/site-lisp/w3/
/usr/share/emacs/site-lisp/w3/*css
/usr/share/emacs/site-lisp/w3/*elc
/usr/share/emacs/site-lisp/w3/docomp.el
/usr/share/emacs/site-lisp/w3/w3-latex.el
/usr/share/emacs/site-lisp/w3/w3-sysdp.el

%files el
%defattr(-,root,root)
%doc ChangeLog TODO
%dir %attr(0755, root, root) /usr/share/emacs/site-lisp/w3/
/usr/share/emacs/site-lisp/w3/auto-autoloads.el
/usr/share/emacs/site-lisp/w3/base64.el
/usr/share/emacs/site-lisp/w3/css.el
/usr/share/emacs/site-lisp/w3/custom-load.el
/usr/share/emacs/site-lisp/w3/devices.el
/usr/share/emacs/site-lisp/w3/font.el
/usr/share/emacs/site-lisp/w3/images.el
/usr/share/emacs/site-lisp/w3/md5.el
/usr/share/emacs/site-lisp/w3/socks.el
/usr/share/emacs/site-lisp/w3/ssl.el
/usr/share/emacs/site-lisp/w3/url-hotlist.el
/usr/share/emacs/site-lisp/w3/vmsloadup.el
/usr/share/emacs/site-lisp/w3/w3-auto.el
/usr/share/emacs/site-lisp/w3/w3-cfg.el
/usr/share/emacs/site-lisp/w3/w3-cus.el
/usr/share/emacs/site-lisp/w3/w3-dired.el
/usr/share/emacs/site-lisp/w3/w3-display.el
/usr/share/emacs/site-lisp/w3/w3.el
/usr/share/emacs/site-lisp/w3/w3-emacs.el
/usr/share/emacs/site-lisp/w3/w3-emulate.el
/usr/share/emacs/site-lisp/w3/w3-fast-parse.el
/usr/share/emacs/site-lisp/w3/w3-forms.el
/usr/share/emacs/site-lisp/w3/w3-hot.el
/usr/share/emacs/site-lisp/w3/w3-hotindex.el
/usr/share/emacs/site-lisp/w3/w3-imap.el
/usr/share/emacs/site-lisp/w3/w3-java.el
/usr/share/emacs/site-lisp/w3/w3-keymap.el
/usr/share/emacs/site-lisp/w3/w3-menu.el
/usr/share/emacs/site-lisp/w3/w3-mouse.el
/usr/share/emacs/site-lisp/w3/w3-parse.el
/usr/share/emacs/site-lisp/w3/w3-print.el
/usr/share/emacs/site-lisp/w3/w3-props.el
/usr/share/emacs/site-lisp/w3/w3-speak.el
/usr/share/emacs/site-lisp/w3/w3-speak-table.el
/usr/share/emacs/site-lisp/w3/w3-style.el
/usr/share/emacs/site-lisp/w3/w3-toolbar.el
/usr/share/emacs/site-lisp/w3/w3-vars.el
/usr/share/emacs/site-lisp/w3/w3-widget.el
/usr/share/emacs/site-lisp/w3/w3-xemac.el
/usr/share/emacs/site-lisp/w3/url-vars.el
/usr/share/emacs/site-lisp/w3/w3-cfg.el.in

%changelog
* Sat Apr 22 2006 Olivier Blin <oblin@mandriva.com> 4.0-1.20060422.1mdk
- new CVS snapshot

* Fri Apr 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.0-0.pre47.2mdk
- rebuild for new emacs

* Sat Feb 28 2004 Pascal Terjan <pterjan@mandrake.org> 4.0-0.pre47.1mdk
- pre47
- use epoch for the dependency

* Mon Jul 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.0-0.1mdk
- fix stupid versionning naming that would have broken 4.0 final update
- spec :
	o remove useless prefix
	o fix url
	o emacs-w3-el: fix summary
	o cleaning
- s!try-font-name!w3-try-font-name!g
- default parse-sexp-ignore-comments to nil

* Fri Jun 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 4.0pre.2001.10.27-3mdk
- buildrequires emacs-bin instead of emacs

* Thu Jun 20 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0pre.2001.10.27-1mdk
- BuildArch noarch

* Tue Nov 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0pre.2001.10.27-1mdk
- First version in contrib.

# end of file
